------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
limited with Qt4.Actions;
with Qt4.Icons;
with Qt4.Points;
with Qt4.Sizes;
with Qt4.Strings;
with Qt4.Widgets;
with Qt_Ada.Generic_Object_Pointers;

package Qt4.Tool_Bars is

   type Q_Tool_Bar is limited interface
     and Qt4.Widgets.Q_Widget;

   type Q_Tool_Bar_Access is
     access all Q_Tool_Bar'Class;
   for Q_Tool_Bar_Access'Storage_Size use 0;

   type Q_Tool_Bar_Pointer is tagged;

   function Action_At
    (Self : not null access constant Q_Tool_Bar'Class;
     P : Qt4.Points.Q_Point)
       return not null access Qt4.Actions.Q_Action'Class;

   function Action_At
    (Self : not null access constant Q_Tool_Bar'Class;
     X : Qt4.Q_Integer;
     Y : Qt4.Q_Integer)
       return not null access Qt4.Actions.Q_Action'Class;

   function Add_Action
    (Self : not null access Q_Tool_Bar'Class;
     Text : Qt4.Strings.Q_String)
       return not null access Qt4.Actions.Q_Action'Class;

   function Add_Action
    (Self : not null access Q_Tool_Bar'Class;
     Icon : Qt4.Icons.Q_Icon;
     Text : Qt4.Strings.Q_String)
       return not null access Qt4.Actions.Q_Action'Class;

   function Add_Separator
    (Self : not null access Q_Tool_Bar'Class)
       return not null access Qt4.Actions.Q_Action'Class;

   function Add_Widget
    (Self : not null access Q_Tool_Bar'Class;
     Before : not null access Qt4.Widgets.Q_Widget'Class)
       return not null access Qt4.Actions.Q_Action'Class;

   procedure Clear
    (Self : not null access Q_Tool_Bar'Class);

   function Icon_Size
    (Self : not null access constant Q_Tool_Bar'Class)
       return Qt4.Sizes.Q_Size;

   function Insert_Separator
    (Self : not null access Q_Tool_Bar'Class;
     Before : not null access Qt4.Actions.Q_Action'Class)
       return not null access Qt4.Actions.Q_Action'Class;

   function Insert_Widget
    (Self : not null access Q_Tool_Bar'Class;
     Before : not null access Qt4.Actions.Q_Action'Class;
     Widget : not null access Qt4.Widgets.Q_Widget'Class)
       return not null access Qt4.Actions.Q_Action'Class;

   function Is_Movable
    (Self : not null access constant Q_Tool_Bar'Class)
       return Standard.Boolean;

   procedure Set_Movable
    (Self : not null access Q_Tool_Bar'Class;
     Movable : Standard.Boolean);

   function Toggle_View_Action
    (Self : not null access constant Q_Tool_Bar'Class)
       return not null access Qt4.Actions.Q_Action'Class;

   function Widget_For_Action
    (Self : not null access constant Q_Tool_Bar'Class;
     Action : not null access Qt4.Actions.Q_Action'Class)
       return not null access Qt4.Widgets.Q_Widget'Class;

   procedure Set_Icon_Size
    (Self : not null access Q_Tool_Bar'Class;
     Icon_Size : Qt4.Sizes.Q_Size);

   package Q_Tool_Bar_Pointers is
     new Qt_Ada.Generic_Object_Pointers (Q_Tool_Bar, Q_Tool_Bar_Access);

   type Q_Tool_Bar_Pointer is
     new Q_Tool_Bar_Pointers.Q_Pointer with null record;

end Qt4.Tool_Bars;
